(function($) {
  if (!$.cssHooks || !$.support)  return;

  $.support.cssTransform = false;  // transformプロパティをサポートする?

  var propName;           // Webブラウザごとの実際のプロパティ名
  var propNames =  [      // プロパティ名の候補
        'transform',
        'msTransform'     /* IE */,
        'MozTransform'    /* Firefox */,
        'webkitTransform' /* WebKit(Chrome, Safari) */,
        'OTransform'      /* Opera */
  ];

  if (document.body.style && (propNames[0] in document.body.style)) {
    $.support.cssTransform = true;  // transformプロパティをサポートする
  } else {
    for(var i = 1; i < propNames.length; i++) {
      if (document.body.style && (propNames[i] in document.body.style)) {
        propName = propNames[i];        // 対応するプロパティ名が見つかった
        $.support.cssTransform = true;  // transformプロパティをサポートする
        break;
      }
    }

    // cssメソッドで'transform'を利用できるようにする
    if (propName) {
      $.cssHooks.transform = {
        get: function(elem, computed) {  // $(...).css('transform')実行時
          return elem.style[propName];
        },
        set: function(elem, value) {     // $(...).css('transform', ...)実行時
          elem.style[propName] = value;
        }
      };
    }
  }
})(jQuery);
